Overview | Package | Class | Use | Tree | Index | Help
| Java Debug Interface
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jdi.request
Interface BreakpointRequest

All Superinterfaces:
  EventRequest, Locatable, Mirror

public interface BreakpointRequest
extends EventRequest, Locatable

Identifies a `Location` in the target VM at which execution should be stopped. When an enabled BreakpointRequest is satisfied, an `event set` containing an `BreakpointEvent` will be placed on the `EventQueue` and the application is interrupted. The collection of existing breakpoints is managed by the `EventRequestManager`

Since:
  1.3
See Also:
  `Location`, `BreakpointEvent`, `EventQueue`, `EventRequestManager`

Fields inherited from interface com.sun.jdi.request.EventRequest
`SUSPEND_ALL, SUSPEND_EVENT_THREAD, SUSPEND_NONE`

Method Summary
`void` | `addThreadFilter(ThreadReference thread)` Restricts the events generated by this request to those in the given thread.
`Location` | `location()` Returns the location of the requested breakpoint.

Methods inherited from interface com.sun.jdi.request.EventRequest
`addCountFilter, disable, enable, getProperty, isEnabled, putProperty, setEnabled, setSuspendPolicy, suspendPolicy`

Methods inherited from interface com.sun.jdi.Mirror
`toString, virtualMachine`

Method Detail

### location

    public Location location()

  Returns the location of the requested breakpoint.
  Specified by:
    `location` in interface `Locatable`
  Returns:
    the `Location` where this breakpoint has been set.

### addThreadFilter

    public void addThreadFilter(ThreadReference thread)

  Restricts the events generated by this request to those in the given thread.
  Parameters:
    `thread` - the thread to filter on.
  Throws:
    `ObjectCollectedException` - if the thread object has been garbage collected.
    `VMMismatchException` - if a `Mirror` argument and this mirror do not belong to the same `VirtualMachine`.
    `InvalidRequestStateException` - if this request is currently enabled. Filters may be added only to disabled requests.

Overview | Package | Class | Use | Tree | Index | Help
| Java Debug Interface
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD